Modify

#582 closed defect (fixed)

BitlBee displays XMPP <message> without <body> as "Message: "

Reported by: ilf Owned by: wilmer
Priority: normal Milestone:
Component: Jabber Version: 1.2.5
Keywords: message: Cc:
IRC client+version: Client-independent Operating System: FreeBSD
OS version/distro:

Description

Since a while some Client/Jabberd combination has apparently been broadcasting XMPP messages like these to all contacts:

<message xmlns="jabber:client" type="headline" to="me@jabber/BitlBee" from="alice@jabber2">
        <event xmlns="http://jabber.org/protocol/pubsub#event">
                <items node="http://jabber.org/protocol/tune">
                        <item id="4F5840009B674">
                                <tune xmlns="http://jabber.org/protocol/tune"/>
                        </item>
                </items>
        </event>
        <addresses xmlns="http://jabber.org/protocol/address">
                <address jid="alice@jabber2/Cray-2" type="replyto"/>
        </addresses>
</message>

It doesn't contain a <body>-Element, so BitlBee displays this as "Message: " from the user.

This is annoying, since it happens on every sign-on, on some clients apparently even multiple times.

Also, it's *not* actually a <message><body>Message: </body></message>, with which it might be confused.

BitlBee should probably just discard these useless messages.

Attachments (1)

bitlbee_headline_shush.diff (601 bytes) - added by philip@… at 2010-04-03T17:33:44Z.
[PATCH] Ignore empty "Headline:" messages

Download all attachments as: .zip

Change History (3)

comment:1 Changed at 2010-03-29T22:13:25Z by ilf <ilf@…>

Of course it displays them as "Headline: " instead of "Message: ". That's what happens when opening the ticket only days after debugging it on IRC..

Changed at 2010-04-03T17:33:44Z by philip@…

Attachment: bitlbee_headline_shush.diff added

[PATCH] Ignore empty "Headline:" messages

comment:2 Changed at 2010-04-04T13:34:46Z by wilmer

Resolution: fixed
Status: newclosed

Hm, also, changeset:devel,525

Should've closed this bug already.

Modify Ticket

Action
as closed The owner will remain wilmer.
The resolution will be deleted. Next status will be 'reopened'.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.